import Taro from "@tarojs/taro";
import React, { useEffect, useMemo, useState } from "react";
import { View, Image, Text } from "@tarojs/components";
import usericon from "../../assets/usericon.png";

const NavCustom = props => {
  const { houseInfo={} } = props;
  const {taShop={}} =houseInfo
  const [navStyle, setNavStyle] = useState({});

  useEffect(() => {
    console.log(Taro.getMenuButtonBoundingClientRect(), "-------");
    setNavStyle(Taro.getMenuButtonBoundingClientRect());
  }, []);
  return (
    <View
      style={{
        height: navStyle.bottom + 10,
        width: "100%",
        display: "flex",
        background: "#fff"
      }}
    >
      {houseInfo && (
        <View
          style={{
            width: navStyle.left,
            display: "flex",
            background: "#fff",
            paddingLeft: 10,
            paddingBottom: 10,
            margin: 0,
            alignItems: "flex-end"
          }}
        >
          <View
            style={{
              width: navStyle.right - navStyle.left,
              height: 40,
              borderRadius: 20,
           
            }}
          >
            {taShop.logo && (
              <Image
                className="guide-view-img"
                // mode="widthFix"
                style={{
                  width: 40,
                  height: 40,
                  borderRadius: 20,
                  margin:0,
                  background: "#000"
                }}
                src={taShop.logo}
              ></Image>
            )}
          </View>

          <View
            style={{
              textAlign: "center",
              width: navStyle.left - 50,
              marginTop: navStyle.top,
            //   height: navStyle.height,
            //   lineHeight: `${navStyle.height}px`
            }}
          >
           <view>{taShop.name||'十公里周边指南'}</view>
           {/* <view style={{fontSize:'24rpx',color:'#7b7b7b'}}>{houseInfo.title}</view> */}
              
              
           {/* <Text></Text>  */}
          </View>
        </View>
      )}
    </View>
  );
};
export default NavCustom;
